<template>
  <branch-dialog />
  <v-data-table :items="store.items" :headers="store.headers">
    <template #top>
      <v-card class="pa-5">
        <v-row>
          <v-col>
            <h2>Branch Management</h2>
          </v-col>
          <v-col cols="1">
            <v-btn @click="store.openDialog"> NEW </v-btn>
          </v-col>
        </v-row>
      </v-card>
    </template>
    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.locate }}</td>
        <td>
          <v-icon size="small" class="me-2" @click="store.editItem(item)"> mdi-pencil </v-icon>
          <v-icon size="small" @click="store.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
    </template>
    <!-- <template #no-data>
            <v-btn color="primary">
                Refresh
            </v-btn>
        </template> -->
  </v-data-table>
</template>

<script setup lang="ts">
import BranchDialog from '@/components/BranchDialog.vue'
import { useBranchStore } from '@/stores/branch'
import { onMounted } from 'vue'

const store = useBranchStore()

onMounted(() => {
  store.getAll()
})
</script>
